
body {
	font-family: Arial, Helvetica, sans-serif;
}


#loadingFrame {
	display: flex;
	position: relative;
	width: 1200px;
	height: 890px;
	background-color: #DFDFDF;
	font-size: 24px;
	font-weight: bold;
	justify-content: center;
	align-items: center;
}

#guiFrame {
	display: none;
	position: relative;
	width: 1200px;
	height: 890px;
	background-color: #DFDFDF;
}

#guiOverlayPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 1200px;
	height: 890px;
	background-color: #A0A0A0;
	opacity: 0.75;
	z-index: 10;
}

#guiGridPanel {
	display: block;
	position: absolute;
	left: 20px;
	top: 20px;
	width: 570px;
	height: 570px;
}

#guiSolvePanel {
	display: none;
	position: absolute;
	left: 610px;
	top: 20px;
	width: 570px;
	height: 670px;
}

#guiSolverSelectorPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 220px;
	height: 60px;
}

#guiLatinSquareSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiIronSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiIronSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiWhiteSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiWhiteSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSudokuSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiSteelSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiSteelSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiRedSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiRedSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSkyscrapersSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiGoldSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiGoldSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiGreenSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiGreenSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiNickelSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiNickelSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiBrownSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiBrownSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiCapsulesSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiCopperSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiCopperSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiOrangeSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiOrangeSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiRippleEffectSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiTinSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiTinSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiYellowSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiYellowSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiPartialLatinSquareSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiMercurySolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiMercurySolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiGreySolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiGreySolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiEasyAs123SolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiCobaltSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiCobaltSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiOliveSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiOliveSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiKropkiSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiSilverSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiSilverSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiBlueSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiBlueSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiTopHeavyNumberSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiZincSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiZincSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiKhakiSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiKhakiSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiFutoshikiSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiAluminiumSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiAluminiumSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiCyanSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiCyanSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiKnappDanebenSkyscrapersSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiPlatinumSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiPlatinumSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiLimeSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiLimeSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSkyscrapersWithBlanksSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiTitaniumSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiTitaniumSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiJadeSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiJadeSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSmashedSumsSolverSelectorPanel {
	display: none;
	position: absolute;
	background-color: #DFDFDF;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
}

#guiLeadSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
}

#guiLeadSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 0px;
	width: 120px;
	height: 20px;
}

#guiMaroonSolverRadio {
	display: block;
	position: absolute;
	left: 0px;
	top: 20px;
}

#guiMaroonSolverLabel {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 20px;
}

#guiSolverOperationsPanel {
	display: block;
	position: absolute;
	left: 240px;
	top: 0px;
	width: 310px;
	height: 140px;
}

#guiSolveButton {
	display: block;
	position: absolute;
	left: 10px;
	top: 10px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiResetButton {
	display: block;
	position: absolute;
	left: 170px;
	top: 10px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiClearGivensButton {
	display: block;
	position: absolute;
	left: 10px;
	top: 90px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiClearCluesButton {
	display: block;
	position: absolute;
	left: 170px;
	top: 90px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiDisplayOperationsPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 80px;
	width: 220px;
	height: 60px;
}

#guiShowCandidatesButton {
	display: block;
	position: absolute;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
	font-size: 18px;
}

#guiHideCandidatesButton {
	display: none;
	position: absolute;
	left: 20px;
	top: 10px;
	width: 160px;
	height: 40px;
	font-size: 18px;
}

#guiFeedbackPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 170px;
	width: 570px;
	height: 520px;
}

#guiFeedbackTextArea {
	display: block;
	position: absolute;
	resize: none;
	left: 20px;
	top: 0px;
	width: 490px;
	height: 375px;
	font-size: 14px;
	padding: 10px;
	outline: none;
}

#guiFeedbackPlayerPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 420px;
	width: 570px;
	height: 80px;
}

#guiFeedbackFirstStepButton {
	display: block;
	position: absolute;
	left: 130px;
	top: 20px;
	width: 60px;
	height: 40px;
	font-size: 18px;
}

#guiFeedbackPreviousStepButton {
	display: block;
	position: absolute;
	left: 210px;
	top: 20px;
	width: 60px;
	height: 40px;
	font-size: 18px;
}

#guiFeedbackNextStepButton {
	display: block;
	position: absolute;
	left: 290px;
	top: 20px;
	width: 60px;
	height: 40px;
	font-size: 18px;
}

#guiFeedbackLastStepButton {
	display: block;
	position: absolute;
	left: 370px;
	top: 20px;
	width: 60px;
	height: 40px;
	font-size: 18px;
}

#guiControlPanel {
	display: block;
	position: absolute;
	left: 20px;
	top: 710px;
	width: 1160px;
	height: 80px;
}

#guiSaveButton {
	display: block;
	position: absolute;
	left: 40px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiLoadButton {
	display: block;
	position: absolute;
	left: 200px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiNewButton {
	display: block;
	position: absolute;
	left: 520px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiExportButton {
	display: block;
	position: absolute;
	left: 840px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiImportButton {
	display: block;
	position: absolute;
	left: 1000px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiEditRegionsPanel {
	display: none;
	position: absolute;
	left: 20px;
	top: 610px;
	width: 570px;
	height: 80px;
}

#guiEditRegionsSwitchButton {
	display: block;
	position: absolute;
	left: 10px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsPreviousButton {
	display: none;
	position: absolute;
	left: 80px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsNextButton {
	display: none;
	position: absolute;
	left: 130px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsAcceptButton {
	display: none;
	position: absolute;
	left: 200px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsAbortButton {
	display: none;
	position: absolute;
	left: 250px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsNewButton {
	display: none;
	position: absolute;
	left: 320px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsDeleteButton {
	display: none;
	position: absolute;
	left: 370px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiEditRegionsClearButton {
	display: none;
	position: absolute;
	left: 440px;
	top: 10px;
	width: 50px;
	height: 50px;
	font-size: 40px;
	line-height: 40px;
}

#guiCreateFrame {
	display: none;
	position: relative;
	left: 200px;
	top: 300px;
	width: 800px;
	height: 360px;
	background-color: #DFDFDF;
	z-index: 20;
}

#guiPuzzleTypeSelectorPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 80px;
}

#guiCreatePuzzleTypeSelector {
	display: block;
	position: absolute;
	left: 300px;
	top: 20px;
	width: 300px;
	height: 40px;
	font-size: 18px;
	padding-left: 10px;
}

#guiCreatePuzzleTypeSelectorLabel {
	display: block;
	position: absolute;
	left: 180px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiPuzzleParametersSelectorPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 100px;
	width: 800px;
	height: 160px;
}

#guiLatinSquareParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiLatinSquareSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiLatinSquareSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiLatinSquareSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSudokuParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiSudokuSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSudokuSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSudokuSize4CoverCheckBox {
	display: block;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize4CoverCheckBoxLabel {
	display: block;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSize6CoverHorizontalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize6CoverHorizontalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSize6CoverVerticalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 110px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize6CoverVerticalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 105px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSize8CoverHorizontalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize8CoverHorizontalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSize8CoverVerticalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 110px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize8CoverVerticalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 105px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSudokuSize9CoverCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSudokuSize9CoverCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiSkyscrapersSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSkyscrapersSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSkyscrapersWithRegionsParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiSkyscrapersWithRegionsSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSkyscrapersWithRegionsSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSkyscrapersWithRegionsSize4CoverCheckBox {
	display: block;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize4CoverCheckBoxLabel {
	display: block;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSize6CoverHorizontalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize6CoverHorizontalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSize6CoverVerticalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 110px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize6CoverVerticalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 105px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSize8CoverHorizontalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize8CoverHorizontalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSize8CoverVerticalCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 110px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize8CoverVerticalCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 105px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithRegionsSize9CoverCheckBox {
	display: none;
	position: absolute;
	left: 100px;
	top: 80px;
	width: 20px;
	height: 20px;
}

#guiSkyscrapersWithRegionsSize9CoverCheckBoxLabel {
	display: none;
	position: absolute;
	left: 130px;
	top: 75px;
	width: 400px;
	height: 20px;
	font-size: 18px;
	line-height: 40px;
}

#guiCapsulesParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiCapsulesRowCountSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiCapsulesRowCountSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiCapsulesRowCountSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiCapsulesColumnCountSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiCapsulesColumnCountSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiCapsulesColumnCountSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiRippleEffectParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiRippleEffectRowCountSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiRippleEffectRowCountSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiRippleEffectRowCountSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiRippleEffectColumnCountSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiRippleEffectColumnCountSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiRippleEffectColumnCountSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiPartialLatinSquareParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiPartialLatinSquareSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiPartialLatinSquareSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiPartialLatinSquareSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiPartialLatinSquarePoolSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiPartialLatinSquarePoolSizeSliderLabel {
	display: block;
	position: absolute;
	left: 60px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiPartialLatinSquarePoolSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiEasyAs123ParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiEasyAs123SizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiEasyAs123SizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiEasyAs123SizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiEasyAs123PoolSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiEasyAs123PoolSizeSliderLabel {
	display: block;
	position: absolute;
	left: 60px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiEasyAs123PoolSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiKropkiParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiKropkiSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiKropkiSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiKropkiSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiTopHeavyNumberParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiTopHeavyNumberSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiTopHeavyNumberSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiTopHeavyNumberSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiTopHeavyNumberPoolSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiTopHeavyNumberPoolSizeSliderLabel {
	display: block;
	position: absolute;
	left: 60px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiTopHeavyNumberPoolSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiFutoshikiParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiFutoshikiSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiFutoshikiSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiFutoshikiSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiKnappDanebenSkyscrapersParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiKnappDanebenSkyscrapersSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiKnappDanebenSkyscrapersSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiKnappDanebenSkyscrapersSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSkyscrapersWithBlanksParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiSkyscrapersWithBlanksSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSkyscrapersWithBlanksSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithBlanksSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSkyscrapersWithBlanksPoolSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 70px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSkyscrapersWithBlanksPoolSizeSliderLabel {
	display: block;
	position: absolute;
	left: 60px;
	top: 70px;
	width: 90px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSkyscrapersWithBlanksPoolSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 110px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiSmashedSumsParametersSelectorPanel {
	display: none;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 800px;
	height: 160px;
}

#guiSmashedSumsSizeSlider {
	display: block;
	position: absolute;
	left: 160px;
	top: 10px;
	width: 500px;
	height: 30px;
	cursor: pointer;
}

#guiSmashedSumsSizeSliderLabel {
	display: block;
	position: absolute;
	left: 100px;
	top: 10px;
	width: 40px;
	height: 40px;
	font-size: 18px;
	line-height: 40px;
}

#guiSmashedSumsSizeSliderTickLabels {
	display: flex;
	position: absolute;
	left: 168px;
	top: 50px;
	width: 490px;
	height: 20px;
	justify-content: space-between;
	font-size: 18px;
	color: #000000;
	pointer-events: none;
}

#guiCreateControlsPanel {
	display: block;
	position: absolute;
	left: 0px;
	top: 280px;
	width: 800px;
	height: 80px;
}

#guiCreateAbortButton {
	display: block;
	position: absolute;
	left: 60px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiCreateFinishButton {
	display: none;
	position: absolute;
	left: 620px;
	top: 20px;
	width: 120px;
	height: 40px;
	font-size: 18px;
}

#guiMessagePanel {
	display: block;
	position: absolute;
	left: 20px;
	top: 810px;
	width: 1160px;
	height: 60px;
}

#guiMessageField {
	display: block;
	position: absolute;
	background-color: #FFFFFF;
	left: 80px;
	top: 15px;
	width: 1000px;
	height: 30px;
	font-size: 18px;
	text-indent: 10px;
	outline: none;
}


